from src.ui.ui import UI
from src.repository.students_repo import StudentsRepo
from src.repository.assignments_repo import AssignmentsRepo
from src.repository.grades_repo import GradesRepo
from src.services.services import Services

def main():
    students_repo = StudentsRepo("src/data/students.json")
    assignments_repo = AssignmentsRepo("src/data/assignments.json")
    grades_repo = GradesRepo("src/data/grades.json")
    services = Services(students_repo,assignments_repo,grades_repo)
    ui = UI(services)
    ui.start()

if __name__ == "__main__":
    main()